
CoCoALib - Bug #1690

resultant gives wrong answer if an arg has deg 0

31 Jul 2022 06:22 - John Abbott

Status: Closed Start date: 31 Jul 2022

Priority: High Due date:  

Assignee: John Abbott % Done: 100%

Category: Maths Bugs Estimated time: 0.55 hour

Target version: CoCoALib-0.99850 Spent time: 0.50 hour

Description

The following incorrectly returns 0

f := x^3-2;

resultant(f, 3*x/x, x);

History

#1 - 02 Aug 2022 21:38 - John Abbott

- Status changed from New to Feedback

- Assignee set to John Abbott

- % Done changed from 0 to 80

The code did not properly handle the "edge case" when one of the input polys was a factor of the other.

If the factor is not constant then the result is zero; but if the factor is constant then the result is non-zero!

Fixed.  Added a test in test-exbugs.C

[will check in soon... if I can remember how]

#2 - 18 Jan 2023 18:33 - John Abbott

- Status changed from Feedback to Closed

- % Done changed from 80 to 100

- Estimated time set to 0.55 h
